Skip to main content
GET
List reviews

Authorizations

Authorization
string
header
required

An Account API key, an App API key, an account access token, an account-scoped user token, or a user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************. See Auth & API keys for how to get each one.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-10-13-1"

Query Parameters

account_id
string

The unique identifier of the account to list reviews for.

Example:

"biz_xxxxxxxxxxxxxx"

product_id
string

The unique identifier of the product to list reviews for.

Example:

"prod_xxxxxxxxxxxxx"

min_stars
integer

The minimum star rating to include in results, from 1 to 5 inclusive.

max_stars
integer

The maximum star rating to include in results, from 1 to 5 inclusive.

created_before
string<date-time>

Only return reviews created before this timestamp.

created_after
string<date-time>

Only return reviews created after this timestamp.

order
enum<string>
default:created_at

The field to sort reviews by.

Available options:
created_at,
stars
direction
enum<string>
default:desc

The sort direction.

Available options:
asc,
desc
first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

last
integer

Number of results to return from the end of the range.

Required range: x <= 100
before
string

Return results before this cursor. Use page_info.start_cursor from the previous response to fetch the previous page.

Response

Reviews for the product

data
object[]
required
page_info
object
required